# Uses of Interface
org.apache.sling.validation.model.ResourceProperty

Packages that use ResourceProperty
Package
Description
org.apache.sling.validation.model

## Uses of ResourceProperty in org.apache.sling.validation.model

Methods in org.apache.sling.validation.model that return types with arguments of type ResourceProperty
Modifier and Type
Method
Description
`@NotNull Collection<ResourceProperty>`
ChildResource.`getProperties()`
Returns the properties this child resource is expected to have.
`@NotNull Collection<ResourceProperty>`
ValidationModel.`getResourceProperties()`
Returns the properties validated by this model.